(define-module (ui mkve openvz caps ajax)
               :use-module (alterator ajax)
               :use-module (alterator woo)

               :export (init))

(define (name) (woo-get-option (woo-read-first "/mkve-openvz/machine") 'machine))

(define (init-header)
  (form-update-value "header"
                     (string-append (_ "Capabilities of machine") " " (name)))
  )

(define (reset)
  (form-update-enum "capabilities"
                    (woo-list "/mkve-openvz/list_caps"))
  (form-update-value "capabilities"
                     (woo-get-option (woo-read-first "/mkve-openvz/caps") 'capabilities))
  )

(define (submit)
  (woo-write "/mkve-openvz/caps" 'capabilities (form-value "capabilities")))

(define (back) (form-replace "/mkve/openvz"))

(define (init)
  (init-header)
  (reset)
  (form-bind "submit" "click" submit)
  (form-bind "reset" "click" reset)
  (form-bind "back" "click" back)
  )
