(define-module (ui mkve openvz ubc ajax)
               :use-module (alterator ajax)
               :use-module (alterator woo)

               :export (init))

(define (name) (woo-get-option (woo-read-first "/mkve-openvz/machine") 'machine))

(define (init-header)
  (form-update-value "header" (string-append (_ "User beancouters for machine") " " (name))))

(define (reset)
  (form-update-enum "beancounters" (woo-list "/mkve-openvz/list_resources")))

(define (do-reset-status)
  (woo-write "/mkve-openvz/ubc_status" 'language (form-value "language"))
  (reset))

(define (do-submit)
  (woo-write "/mkve-openvz/ubc"
             'language (form-value "language")
             'barrier (form-value "barrier")
             'limit (form-value "limit")))

(define (reset-status) (catch/message do-reset-status))
(define (submit) (catch/message do-submit))

(define (back) (form-replace "/mkve/openvz"))

(define (init)
  (init-header)
  (reset)
  (form-bind "submit" "click" submit)
  (form-bind "reset" "click" reset)
  (form-bind "reset_status" "click" reset-status)
  (form-bind "back" "click" back)
  )
