(define-module (type mkve-machine-name)
               :use-module (alterator woo)
               :use-module (ice-9 regex)
               :export (type))

(define (type v _)
  (or (and (string? v) (string-null? v))
      (and (string? v) (string-match "^([0-9a-zA-Z_-])+$" v))
      (type-error (_ "only latin letters, digits, '-', and '_' allowed"))))
